VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::ovf::IpAllocationParams::IpAllocationScheme Class Reference

The `IpAllocationParams.IpAllocationScheme` enumerated type defines the possible IP allocation schemes that can be supported by the guest software. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, DHCP, OVF_ENVIRONMENT }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static IpAllocationScheme[] | GetValues ()
static IpAllocationScheme | ValueOf (string name)
## Static Public Attributes
static readonly IpAllocationScheme | DHCP = new IpAllocationScheme("DHCP", Values.DHCP)
| It supports DHCP to acquire IP configuration.
static readonly IpAllocationScheme | OVF_ENVIRONMENT = new IpAllocationScheme("OVF_ENVIRONMENT", Values.OVF_ENVIRONMENT)
| It supports setting the IP configuration through the properties provided in the OVF environment.

## Detailed Description

The `IpAllocationParams.IpAllocationScheme` enumerated type defines the possible IP allocation schemes that can be supported by the guest software.

## Member Enumeration Documentation

enum vmware::vcenter::ovf::IpAllocationParams::IpAllocationScheme::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  DHCP | It supports DHCP to acquire IP configuration.
  OVF_ENVIRONMENT | It supports setting the IP configuration through the properties provided in the OVF environment.

## Member Function Documentation

Values vmware::vcenter::ovf::IpAllocationParams::IpAllocationScheme::GetEnumValue | ( |  | ) | `[inline]`

static IpAllocationScheme [] vmware::vcenter::ovf::IpAllocationParams::IpAllocationScheme::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::ovf::IpAllocationParams::IpAllocationScheme::IsUnknown | ( |  | ) | `[inline]`

static IpAllocationScheme vmware::vcenter::ovf::IpAllocationParams::IpAllocationScheme::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly IpAllocationScheme vmware::vcenter::ovf::IpAllocationParams::IpAllocationScheme::DHCP = new IpAllocationScheme("DHCP", Values.DHCP)`[static]`

It supports DHCP to acquire IP configuration.

readonly IpAllocationScheme vmware::vcenter::ovf::IpAllocationParams::IpAllocationScheme::OVF_ENVIRONMENT = new IpAllocationScheme("OVF_ENVIRONMENT", Values.OVF_ENVIRONMENT)`[static]`

It supports setting the IP configuration through the properties provided in the OVF environment.

The documentation for this class was generated from the following file:

- IpAllocationParams.cs